Add patch file missing from last commit
This commit is contained in:
parent
1611a2fcbf
commit
2ad9ed3121
33
0001-ds_selinux_restorecon.sh-always-exit-0.patch
Normal file
33
0001-ds_selinux_restorecon.sh-always-exit-0.patch
Normal file
@ -0,0 +1,33 @@
|
||||
From d858b6950e4e0946f8d18d1855923c8d0f89c858 Mon Sep 17 00:00:00 2001
|
||||
From: Adam Williamson <awilliam@redhat.com>
|
||||
Date: Thu, 27 Jan 2022 11:07:26 -0800
|
||||
Subject: [PATCH] ds_selinux_restorecon.sh: always exit 0
|
||||
|
||||
We don't want to error out and give up on starting the service
|
||||
if the restorecon fails - it might just be that the directory
|
||||
doesn't exist and doesn't need restoring. Issue identified and
|
||||
fix suggested by Simon Farnsworth.
|
||||
|
||||
https://bugzilla.redhat.com/show_bug.cgi?id=2047323
|
||||
|
||||
Signed-off-by: Adam Williamson <awilliam@redhat.com>
|
||||
---
|
||||
wrappers/ds_selinux_restorecon.sh.in | 5 +++--
|
||||
1 file changed, 3 insertions(+), 2 deletions(-)
|
||||
|
||||
diff --git a/wrappers/ds_selinux_restorecon.sh.in b/wrappers/ds_selinux_restorecon.sh.in
|
||||
index 063347de3..2d7386233 100644
|
||||
--- a/wrappers/ds_selinux_restorecon.sh.in
|
||||
+++ b/wrappers/ds_selinux_restorecon.sh.in
|
||||
@@ -29,5 +29,6 @@ then
|
||||
exit 0
|
||||
fi
|
||||
|
||||
-# Now run restorecon
|
||||
-restorecon ${DS_HOME_DIR}
|
||||
+# Now run restorecon, but don't die if it fails (could be that the
|
||||
+# directory doesn't exist)
|
||||
+restorecon ${DS_HOME_DIR} || :
|
||||
--
|
||||
2.35.0.rc1
|
||||
|
Loading…
Reference in New Issue
Block a user